SystemOrganization addCategory: #'Phidget-Tests'!

TestCase subclass: #PhdCrInterfaceKitTest
	instanceVariableNames: 'ifKit'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Phidget-Tests'!

!PhdCrInterfaceKitTest methodsFor: 'as yet unclassified' stamp: 'lk 5/28/2009 21:48'!
setUp
	"open an interface kit"
	
	ifKit := PhdCrInterfaceKit new openAny.! !

!PhdCrInterfaceKitTest methodsFor: 'as yet unclassified' stamp: 'lk 5/28/2009 21:48'!
tearDown
	"close the interface kit"
	
	ifKit close.! !

!PhdCrInterfaceKitTest methodsFor: 'as yet unclassified' stamp: 'lk 5/28/2009 21:49'!
testAttach
	"Test attaching an InterfaceKit"
	
	(PhidgetPluginTest questionWithoutCancel: 'Do you want to run the Test "Attach InterfaceKit"?')
		ifTrue: [
			self assert: (PhidgetPluginTest proceed: 'Now detach all InterfaceKits and press OK.').
			self deny: ifKit attached.
			self assert: (PhidgetPluginTest proceed: 'Now attach an InterfaceKit and press OK.').
			self assert: ifKit attached ].! !

TestCase subclass: #PhidgetPluginTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Phidget-Tests'!

!PhidgetPluginTest class methodsFor: 'as yet unclassified' stamp: 'lk 5/28/2009 21:27'!
message: text
	
	^ (Morph new openModal: 
		(MessageDialogWindow new
			textFont: Preferences standardDefaultTextFont;
			title: 'Running Phidget Tests';
			text: text)
		) cancelled not.! !

!PhidgetPluginTest class methodsFor: 'as yet unclassified' stamp: 'lk 5/28/2009 21:43'!
proceed: text
	
	^ (Morph new openModal: 
		(ProceedDialogWindow new
			textFont: Preferences standardDefaultTextFont;
			title: 'Running Phidget Tests';
			text: text)
		) cancelled not.! !

!PhidgetPluginTest class methodsFor: 'as yet unclassified' stamp: 'lk 5/28/2009 21:21'!
questionWithoutCancel: text
	
	^ (Morph new openModal: 
		(QuestionWithoutCancelDialogWindow new
			textFont: Preferences standardDefaultTextFont;
			title: 'Running Phidget Tests';
			text: text)
		) answer.! !

!PhidgetPluginTest methodsFor: 'as yet unclassified' stamp: 'lk 5/28/2009 21:45'!
testTest

	"Hier soll ohne Vorbedingungen getestet werden wie getestet wird ;)"
	self assert: true.! !
